# Get Packages for Online Store Public endpoint that gets packages for use in the online store Endpoint: POST /packages/{tenantId}/public/onlineStore Version: v1-2025-04-18 ## Path parameters: - `tenantId` (string, required) The tenant ## Request fields (application/json): - `membership_package_ids` (array, required) - `membership_package_restriction` (string) Enum: "exclude", "include", "none" - `membership_type_ids` (array, required) - `membership_type_restriction` (string) Enum: "exclude", "include", "none" ## Response 200 fields (application/json): - `packages` (array) - `packages.description` (string) Description of the package - `packages.display_in_portal_as` (string) Portal display - `packages.enable_special_prices` (boolean) Whether special prices are used - `packages.id` (string) ID of the membership package - `packages.member_price` (number) Renewal price of the package - `packages.membership_type_id` (string) The membership type - `packages.name` (string) Name of the membership package - `packages.price` (number) Price of the package - `types` (array) - `types.display_order` (number) Display order for the membership type - `types.id` (string) ID of the membership type - `types.name` (string) Name of the membership type - `types.universal_shopping_cart_image_uri` (string) Image to use for the cart ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields